Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex StoreDoc
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Create
        • Get
        • List
        • Terminate
        • GetLimits
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • Resource
  1. API reference
  2. REST
  3. ChangeFreeze
  4. Get

Managed Service for MongoDB API, REST: ChangeFreeze.Get

Written by
Yandex Cloud
Updated at September 4, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • Resource

Retrieves the specific change freeze by ID.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/changeFreezes/{changeFreezeId}

Path parametersPath parameters

Field

Description

changeFreezeId

string

Required field. ID of the change freeze to retrieve.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "resourcePath": [
    {
      "id": "string",
      "type": "string"
    }
  ],
  "startAt": "string",
  "endAt": "string",
  "durationSeconds": "string",
  "reason": "string",
  "createdBy": "string",
  "createdAt": "string",
  "status": "string",
  "updatedBy": "string",
  "updatedAt": "string"
}

Field

Description

id

string

ID of the change freeze.

resourcePath[]

Resource

Full path to the resource affected by the change freeze,
represented as a hierarchy from specific resource to top-level container.

startAt

string (date-time)

The time when the change freeze is scheduled to start.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

endAt

string (date-time)

The time when the change freeze is scheduled to end.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

durationSeconds

string (int64)

Duration of the change freeze in seconds.

reason

string

Reason for the change freeze.

createdBy

string

The user who created the change freeze.

createdAt

string (date-time)

The creation time of the change freeze.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

status

enum (Status)

Status of the change freeze.

  • SCHEDULED: Change freeze is scheduled for a future time.
  • ACTIVE: Change freeze is currently active.
  • COMPLETED: Change freeze is completed.
  • CANCELLED: Change freeze is cancelled.

updatedBy

string

The user who last updated the change freeze.

updatedAt

string (date-time)

The time when the change freeze was last updated.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

ResourceResource

Field

Description

id

string

ID of the resource

type

string

The type of the resource, e.g. resource-manager.cloud, resource-manager.folder, compute.instance, etc.

Was the article helpful?

Previous
Create
Next
List
© 2026 Direct Cursus Technology L.L.C.